<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.lukouguoji.aerologic">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />

    <uses-feature android:name="android.hardware.camera" />
    <uses-feature android:name="android.hardware.camera.autofocus" />

    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.WRITE_MEDIA_STORAGE"
        tools:ignore="ProtectedPermissions" />
    <uses-permission
        android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.BLUETOOTH" />

    <permission-group android:name="${applicationId}.andpermission" />

    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />

    <application
        android:name="com.lukouguoji.module_base.MyApplication"
        android:allowBackup="true"
        android:icon="@mipmap/logot"
        android:label="@string/app_name"
        android:networkSecurityConfig="@xml/network_security_config"
        android:requestLegacyExternalStorage="true"
        android:roundIcon="@mipmap/logot_round"
        android:supportsRtl="true"
        android:theme="@style/Theme.Aerologic">
        <activity
            android:name=".page.test.PrintActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国内进港 -->
        <activity
            android:name="com.lukouguoji.gnj.activity.GnjCangDanListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" /> <!-- 国内出港 -->
        <activity
            android:name="com.lukouguoji.gnc.activity.GncQueryInfoActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GncQueryListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GncWareHouseActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GoutFuBangCotActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GoutChuKuListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GncLoadListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GoutTransferActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GoutFuBangActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcInspectionActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcInspectionDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcAssembleAllocateActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港出库交接 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.IntExpOutHandoverActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港装载 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.IntExpLoadActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港理货 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.IntExpTallyActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港运抵 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.IntExpArriveActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港查询 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcQueryActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港运单修改 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcQueryEditActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港查询详情 -->
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcQueryDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcBoxWeighingActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcBoxWeighingDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcBoxWeighingAddActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcWeighingListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />

        <activity
            android:name="com.lukouguoji.gjc.activity.GjcWeighingRecordListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcWeighingRecordDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcWeighingStartActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gjc.activity.GjcHandoverActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港-出港组装 -->
        <activity
            android:name="com.lukouguoji.gjc.page.assemble.IntExpAssembleActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港-开始组装 -->
        <activity
            android:name="com.lukouguoji.gjc.page.assemble.IntExpAssembleStartActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <!-- 国际出港-出港移库 -->
        <activity
            android:name="com.lukouguoji.gjc.page.move.IntExpMoveActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="false"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".MineActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GoutStartCotActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.activity.GoutCollectionActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.gnc.bluetooth.printer.PrinterActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name="com.lukouguoji.module_base.LoginActivity"
            android:configChanges="orientation|keyboardHidden"
            android:exported="true"
            android:windowSoftInputMode="adjustPan">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.lukouguoji.module_base.BaseActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.message.list.MessageListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />

        <activity
            android:name=".page.message.details.MessageDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.telegram.list.TelegramListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.transport.GoodsTransportActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.accident.visa.list.AccidentVisaListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.accident.visa.details.AccidentVisaDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.car.list.CarListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.car.add.CarDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.car.chart.CarChartActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.log.list.LogListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.transportLog.list.TransportLogActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.manifest.list.GnjManifestListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.manifest.add.GnjManifestAddActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />

        <activity
            android:name=".page.gnj.out.stash.list.GnjOutStashListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.move.stash.list.GnjMoveStashListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.stash.list.GnjStashListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.stash.details.GnjStashDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />

        <activity
            android:name=".page.gnj.jiaojie.GnjHandoverListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />

        <activity
            android:name=".page.gnj.query.list.GnjQueryListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.query.details.GnjQueryDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.flight.query.list.FlightQueryListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.flight.query.details.FlightQueryDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.unload.list.GnjUnloadListActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />
        <activity
            android:name=".page.gnj.unload.add.GnjUnloadAddActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape" />

        <activity
            android:name=".page.gnj.unload.detail.GnjUnloadDetailsActivity"
            android:configChanges="orientation|keyboardHidden"
            android:screenOrientation="userLandscape"/>

        <service android:name="com.huitao.printer.service.PrinterService" />
        <service android:name="com.lukouguoji.gnc.bluetooth.service.AncillaryService" />
        <service android:name="com.lukouguoji.gnc.bluetooth.service.MyService" />
    </application>

    <queries package="com.lukouguoji.aerologic">
        <intent>
            <action android:name="android.media.action.IMAGE_CAPTURE" />
        </intent>
        <intent>
            <action android:name="android.media.action.ACTION_VIDEO_CAPTURE" />
        </intent>
    </queries>
</manifest>